execute pycharm on anaconda

my labtop is MacBook M1

I'm trying to set up environment for tensorflow. Python version is't compatible with built in M1.

I trying to execute pycharm on anaconda. but it doesn't lanch. with error message

"2021-02-05 18:37:42.857 pycharm[23450:1007748] allVms required 1.8*,1.8+
2021-02-05 18:37:42.860 pycharm[23450:1007752] Cannot load JVM bundle: Error Domain=NSCocoaErrorDomain Code=3585 "dlopen_preflight(/Applications/PyCharm.app/Contents/jbr/Contents/MacOS/libjli.dylib): no suitable image found. Did find:
/Applications/PyCharm.app/Contents/jbr/Contents/MacOS/libjli.dylib: mach-o, but wrong architecture
/Applications/PyCharm.app/Contents/jbr/Contents/MacOS/libjli.dylib: mach-o, but wrong architecture" UserInfo={NSLocalizedFailureReason=The bundle doesn’t contain a version for the current architecture., NSLocalizedRecoverySuggestion=Try installing a universal version of the bundle., NSFilePath=/Applications/PyCharm.app/Contents/jbr/Contents/MacOS/libjli.dylib, NSDebugDescription=dlopen_preflight(/Applications/PyCharm.app/Contents/jbr/Contents/MacOS/libjli.dylib): no suitable image found. Did find:
/Applications/PyCharm.app/Contents/jbr/Contents/MacOS/libjli.dylib: mach-o, but wrong architecture
/Applications/PyCharm.app/Contents/jbr/Contents/MacOS/libjli.dylib: mach-o, but wrong architecture, NSBundlePath=/Applications/PyCharm.app/Contents/jbr, NSLocalizedDescription=The bundle “OpenJDK 11.0.9.1” couldn’t be loaded because it doesn’t contain a version for the current architecture.}"

my pycharm version is 2020.3.2 professional.

what can I do something??

 

2 comments
Comment actions Permalink

Is it PyCharm build for Apple Silicon or for Intel?

We have two separate builds now https://www.jetbrains.com/pycharm/download/

0
Comment actions Permalink

Yes, I selected that option.

pycharm works well in lanch pad.

it doesn't work when in executed via anaconda navigator...

 

0

Please sign in to leave a comment.